import { BaseMicroStore } from './base';
import type { InitMicroStoreParams } from '../../types';
export default class ShowInteractiveTimeIndicatorTooltip extends BaseMicroStore {
    readonly stateName = "showInteractiveTimeIndicatorTooltip$";
    private timeout;
    state$: {
        set: (value: boolean, useTimeout?: boolean) => void;
        clearTimeout: () => void;
        update(this: void, updater: import("svelte/store").Updater<boolean>): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<boolean>, invalidate?: import("svelte/store").Invalidator<boolean> | undefined): import("svelte/store").Unsubscriber;
    };
    init(initStoreParams: InitMicroStoreParams): import("@vkontakte/videoplayer-shared").Subscription;
    clearTimeout(): void;
}
